Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

Adobe LiveCycle ES3 Installation issue

Avatar

Level 1

Hi,

We are facing an issue withnES3 Installation with disabling UAC. Our corporate security policies dont recommend to disable UAC on servers, We have to keep it enabled.

We are unable to proceed further with this issue.

Is there a way to overcome this Disable UAC option? Please suggest.

Thanks,

Sudheer

15 Replies

Avatar

Employee

Sorry, LC installation is not supported when UAC is on. You'll need to disable UAC to complete installation/configuration.

Avatar

Level 1

Hi Saket,

Thanks for the quick reply.

Is there any workaround?

I believe it is a common problem for most of the organizations where the corporate policies dont agree to the option.

Any sugesstions.

Avatar

Employee

No, we do not support installation when UAC is enabled. I think you should get permission to disable UAC during installation/configuration. Once it's completed, you can enable UAC.

-Saket.

Avatar

Level 1

We have disabled it and installed it. We have successfully tested creation of sample document to PDF. But when we enabled the UAC, the PDF generation is failed.

But you sounded like it can be enabled post installation. Can you please confirm.

Avatar

Employee

Are you on ES3 or ES3 SP2? If you follow the settings specified in the below blog post on ES3 SP2 installation, it should work out.

http://blogs.adobe.com/livecycle/2013/03/pdfg-es4-with-uac-enabled.html

Avatar

Level 1

Hi Saket,

I have see the blog which you have shared, but didnt try it because it was specific to ES4.

We are installing ES3, but how to check it is SP1 or SP2.

Let me give you some background.

we are installing Adobe LiveCycle as part of PTC (www.ptc.com) products called document adapter installation. It internaly uses Adobe LiveCycle and converts Documents tp PDF.

The PTC software contains Adobe LiveCycle server installation, we followed the recommened steps. When we ended up with the issues, we have browsed and found Adobe ES3 Installation guide and verified.

http://help.adobe.com/en_US/livecycle/10.0/PrepareInstallSingle/lc_prepare_install_single.pdf

Now we are clue less how to proceed further. I registered here and posted the issue.

Thanks,

Sudheer

Avatar

Employee

To check the version, please login to LiveCycle Administrator (http://<server>:<port>/adminui) and navigate to About page. There would be a section which would mention version as either 10.0.4 or ES3 SP2. Also, attach the screenshot to this post [by choosing Advanced Editor while replying] for reference. Note that UAC is not supported on ES3 or ES3 SP1 and you would need to be at ES3 SP2. If you want Service Pack 2 for ES3, please contact Adobe Support.

Please follow the steps mentioned in the blog if you have ES3 SP2. I will get the documentation addressed to suggest that this is supported in ES3 SP2.

Thanks,

Saket.

Avatar

Level 1

I just checked it, unfortunately it shows Service pack version shows NA.

The version shows 10.2, GM.

Take a look at the attached JPEG.

AdobeLiveCycle.jpg

Avatar

Employee

It means service pack 2 is not installed on it , Please contact Adobe Enterprise support to help you get SP2 installer

Avatar

Level 1

Thanks Santhosh.

Is there anyother way i can check the Adobe LiveCycle service pack information?

I have verified installer folder and final installation locations and logs, i didnt find the information.

The only place i can see is the above navigation as mentioned.

Thanks,

Sudheer

Avatar

Employee

Not sure why you are looking to try out other places. The screenshot and place we suggested earlier is the place to look for. You do not have SP2 as we confirmed and you would need to get it facilitated from the Adobe Support team.

-Saket.

Avatar

Level 1

Hi Saket,

IS ES4 available for free download? I had check the downloads page, i dont see ready for download?

Any sugessions?

Thanks,

Sudheer

Avatar

Level 1

Hey,

I have installed ES3 Service Pack 2. When i try create PDF,  iam getting a new error.

Error Code:80036
Error Message: ALC-PDG-080-036-Unable to connect to PDFG Service. No User has been defined.

I have verified the services and they look good. Any idea what this error could be?

Here is the error log.

2013-05-16 09:08:54,669 INFO  [com.adobe.service.ProcessResource] (RequestProcessor-2) ALC-BMC-001-508: Service ColorProfileSvc: Native process PID = 3940

2013-05-16 09:09:01,736 INFO  [com.adobe.pdfg.BMCCaller] (http-0.0.0.0-8080-5) ALC-PDG-001-000-Conversion failed as no user is defined.

2013-05-16 09:09:01,814 INFO  [com.adobe.pdfg.BMCCaller] (http-0.0.0.0-8080-5) ALC-PDG-001-028-Electronic_Signatures_Deviations.docx: Job Completion Status: Failed

2013-05-16 09:09:01,814 INFO  [com.adobe.pdfg.BMCCaller] (http-0.0.0.0-8080-5) ALC-PDG-001-025-Electronic_Signatures_Deviations.docx: Time Job Completed: 5/16/13 9:09 AM for job = Electronic_Signatures_Deviations.docx81f48a-5b5651-37b1af-78b239-62002c-353400

2013-05-16 09:09:01,814 INFO  [com.adobe.pdfg.BMCCaller] (http-0.0.0.0-8080-5) ALC-PDG-001-030-Electronic_Signatures_Deviations.docx: Waiting time in queue: 0 ms for job = Electronic_Signatures_Deviations.docx81f48a-5b5651-37b1af-78b239-62002c-353400

2013-05-16 09:09:01,814 INFO  [com.adobe.pdfg.BMCCaller] (http-0.0.0.0-8080-5) ALC-PDG-001-026-Electronic_Signatures_Deviations.docx: Time of Job Execution: 11,528 ms for job = Electronic_Signatures_Deviations.docx81f48a-5b5651-37b1af-78b239-62002c-353400

2013-05-16 09:09:01,814 ERROR [com.adobe.pdfg.GeneratePDFImpl] (http-0.0.0.0-8080-5) ALC-PDG-001-000-ALC-PDG-080-036-Unable to connect to PDFG Service. No User has been defined.

2013-05-16 09:09:01,814 INFO  [com.adobe.pdfg.GeneratePDFImpl] (http-0.0.0.0-8080-5) ALC-PDG-001-000-Conversion failed : ALC-PDG-080-036-Unable to connect to PDFG Service. No User has been defined.

2013-05-16 09:09:01,814 INFO  [com.adobe.pdfg.GeneratePDFImpl] (http-0.0.0.0-8080-5) ALC-PDG-001-000-Trying to find a fallback route if available

2013-05-16 09:09:01,814 INFO  [com.adobe.pdfg.GeneratePDFImpl] (http-0.0.0.0-8080-5) ALC-PDG-001-000-Couldn't obtain fallback filetype setting. Cannot try fallback route

2013-05-16 09:09:01,814 ERROR [com.adobe.aes.web.create.CreatePDFAct] (http-0.0.0.0-8080-5) ALC-PDG-001-000-Invocation error.

ALC-DSC-003-000: com.adobe.idp.dsc.DSCInvocationException: Invocation error.

    at com.adobe.idp.dsc.component.impl.DefaultPOJOInvokerImpl.invoke(DefaultPOJOInvokerImpl.java:152)

    at com.adobe.idp.dsc.interceptor.impl.InvocationInterceptor.intercept(InvocationInterceptor.java:140)

    at com.adobe.idp.dsc.interceptor.impl.RequestInterceptorChainImpl.proceed(RequestInterceptorChainImpl.java:60)

    at com.adobe.idp.dsc.interceptor.impl.DocumentPassivationInterceptor.intercept(DocumentPassivationInterceptor.java:53)

    at com.adobe.idp.dsc.interceptor.impl.RequestInterceptorChainImpl.proceed(RequestInterceptorChainImpl.java:60)

    at com.adobe.idp.dsc.transaction.interceptor.TransactionInterceptor$1.doInTransaction(TransactionInterceptor.java:74)

Thanks,

sudheer

Avatar

Level 2

Hi Sudheer,

PDF Generator requires user accounts to be configured to run MS Office conversions on Windows platform. To enable conversions on Windows 2003/2008 server please ensure:

  1. The server is running as a LocalSystem account or a user with administrative privileges
  2. In case the server is running as an administrative account(this is a requirement especially for clusters), the user should haveReplace a process level token permission
  3. Add user accounts to PDFG user account list from AdminUI : Home > Services >PDF Generator > User Accounts. These user accounts:
    1. Should have administraitive privileges on the machine
    2. All initial dialogs for MS Office and Acrobat should be dismissed for the users

Here is a blog which details out all the requirements and steps for running PDF Generator on windows platform: http://blogs.adobe.com/livecycle/2013/03/requirements-and-recommendations-for-running-livecycle-pdf-...

Please note that all the points mentioned are also applicable to ES3, though ES3 without SP2 will have an additional requirement to keep UAC off.

Thanks,

-Sudhanshu